Skip to main content

Get the ZEFIX cantonal commercial-register excerpt for a UID.

GET 

/organisations/:uid/excerpt

Available in plans: Swiss Registry And Signatory And Comm Register Excerpt · Partner

Returns the PDF download command for the cantonal commercial-register excerpt of a ZEFIX-listed company. Only works for UIDs present in ZEFIX; for organisations that only exist in the Swiss UID register, use /organisations/{uid}/excerpt-uid instead.

Proposed Usage

  • Use this endpoint for the ZEFIX-only PDF download flow.
  • The response is a flat IPDFDownloadRequest. When the service has the PDF cached in S3, the url field points at a presigned S3 URL (valid for 15 minutes) instead of the original canton website. Clients replay method + url as before.
  • We disclaim any legal liability for any damages or consequences that may result from the use of the data provided.

Usage Limits

  • This endpoint is rate limited, please refer to the response headers for further details on limits and reset times.

Request​

Responses​

HTTP request details to download the ZEFIX excerpt PDF.

Response Headers
    RateLimit-Policy

    The rate limit policy applied to this request

    Example: 10;w=60
    RateLimit-Limit

    The rate limit for this endpoint

    Example: 10
    RateLimit-Remaining

    The number of requests remaining in the current rate limit window

    Example: 7
    RateLimit-Reset

    The amount of seconds before the rate limit window requests

    Example: 39
    RateLimit-Origin

    Origin of the 429 rate limit (e.g. Jupi or when absent; other gateway like DMP)

    Example: jupi